<%@ Page language="c#" Codebehind="EmployeeListing.cs" AutoEventWireup="false" Inherits="EmployeeBrowser.EmployeeListing" %>

<%@ Import Namespace="Stingray.Pagelets" %>

<%@ Register TagPrefix="Stingray" TagName="HeaderControl" Src="Stingray.Pagelets/HeaderPagelet.ascx" %>
<%@ Register TagPrefix="Stingray" TagName="EmployeeView" Src="Stingray.Pagelets/EmployeeViewPagelet.ascx" %>

<html>
  <head>
    <meta name=vs_targetSchema content="HTML 4.0">
	<meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
    <meta name="CODE_LANGUAGE" Content="C#">
  </head>
  <body>
	
    <form method="post" runat="server" ID=Form1>

	<Stingray:HeaderControl runat=server Text="Stingray Employee Listing" ImageUrl="images/logos/NewStingLogo_271x100.jpg" ID=HeaderControl1/>    

		<table width=100%  bordercolor="Purple">
			<tbody>
				<tr><td>
					<table bordercolor="Purple" style="BORDER-RIGHT-STYLE: ridge; BORDER-LEFT-STYLE: ridge; BORDER-TOP-STYLE: ridge; BORDER-BOTTOM-STYLE: ridge">
						<tbody>
							<asp:repeater id=EmployeeRepeater runat="server">
								<template name="ItemTemplate">
									<tr>
										<td>
											<stingray:EmployeeView runat="server" EmployeeId=<%# DataBinder.Eval( Container.DataItem, "Id" )  %>
															      FirstName=<%# DataBinder.Eval( Container.DataItem, "FirstName" )  %>
															      LastName=<%# DataBinder.Eval( Container.DataItem, "LastName" )  %> 
															      PictureId=<%# DataBinder.Eval( Container.DataItem,"PictureId" ) %> ID=EmployeeView2>
											</stingray:employeeview>
										</td>
									</tr>
								</template>
							</asp:repeater>	
						</tbody>
					</table>
				</td></tr>
				<tr><td>
					<table width=322 bordercolor="Purple">
						<tbody>
							<td align=center>
								<asp:button onclick="OnPrev_Click" id=btnPrev runat="Server" text="<< Prev" />
							</td>
							<td align=center>
								<asp:button onclick="OnNext_Click" id=btnNext runat="Server" text="Next >>" />
							</td>
						</tbody>
					</table>
				</td></tr>
			</tbody>
		</table>
    </form>
  </body>
</html>
